rem - this is a remark
PRINT "This program demostrates all commands."
FOR X = 1 TO 5
	BEEP X
	PRINT "X=";X,"X/2=";X/2," X*X=";X*X
NEXT
rem - this is a remark
PRINT "Call GOSUB Routine"
GOSUB 300
PRINT "OK! Back From GOSUB"
100 INPUT "Input a number from 1-10", H
IF H > 10 THEN GOTO 100
IF H < 1 THEN GOTO 100
PRINT "OK! H=";H
200 INPUT "Input a number > 50", H
IF H < 51 THEN GOTO 200
PRINT "OK! H=";H
GOSUB 400
rem - this is a remark
print "execute dos 'dir /w' command"
shell "dir /w"
input "Press RETURN to CLEAR SCREEN > ", y
cls
input "press RETURN to move to 12, 39 ", y
move 12 39
input "<this is 12,39 (press return)", y
rem - this is a remark
print "this should be 10 >";12-4/2
print "this should be  4 >";(12-4)/2
print "this should be  4 >";(6/3)+(4/2)
input "Press RETURN to continue: ", y
for x=1 to 5
	for y = 1 to 5
		print "x=";x;" y=";y,
	next
	print
next
input "Press RETURN to continue > ", y
print "beep 3 times"
beep 3
input "Press RETURN to exit > ", y
END
300 PRINT "GOSUB at 300"
	FOR Y = 1 TO 5
	PRINT "Y=",Y;" Y/2=",Y/2;" Y*Y=",Y*Y
	NEXT
RETURN
400
	print "in routine 400"
	print "4^2="; 4^2
	print "2^3="; 2^3
	print "4*2="; 4*2
	print "4/2="; 4/2
	print "7%%2="; 7%2
	input "Press RETURN ", y
	return

